package net.kldp.logviewer.common.log;

import java.net.URL;

import net.kldp.logviewer.common.config.CommonConfig;

import org.apache.log4j.Logger;
import org.apache.log4j.PropertyConfigurator;


public class LogViews {
	static boolean isStart = false;
	static {
		init();
	}
	
	/**
	 * Just calls the parent constuctor.
	 */
	public static void init() {
		// 보고서 환경을 설정한다.
		URL reportURL = LogViews.class.getResource(CommonConfig.getWentProp("ReportLogInfo"));
		
		//System.out.println("[report url] " + reportURL.toString());
		PropertyConfigurator.configure(reportURL);
	}

	public static Logger getLogger(Class cls) {
		return Logger.getLogger(cls);
	}
}
